Skip to content
Back to top
View this page

# TextureCube

class TextureCube

  Returned by `Context.texture_cube()` and `Context.depth_texture_cube()`

  Cubemaps are a texture using the type GL_TEXTURE_CUBE_MAP.

  They are similar to 2D textures in that they have two dimensions. However, each mipmap level has 6 faces, with each face having the same size as the other faces.

  The width and height of a cubemap must be the same (ie: cubemaps are squares), but these sizes need not be powers of two.

  Note

  ModernGL enables `GL_TEXTURE_CUBE_MAP_SEAMLESS` globally to ensure filtering will be done across the cube faces.

  A Texture3D object cannot be instantiated directly, it requires a context. Use `Context.texture_cube()` to create one.

## Methods

TextureCube.read()

TextureCube.read_into()

TextureCube.write()

TextureCube.bind_to_image()

TextureCube.use()

TextureCube.release()

TextureCube.get_handle()

## Attributes

TextureCube.size

TextureCube.dtype

TextureCube.components

TextureCube.filter

TextureCube.swizzle

TextureCube.anisotropy

TextureCube.ctx: Context

  The context this object belongs to

TextureCube.glo: int

  The internal OpenGL object. This values is provided for interoperability and debug purposes only.

TextureCube.extra: Any

  User defined data.